[package]
name = "common-rs"
version = "0.1.0"
authors = ["Sergey Pashinin <sergey@pashinin.com>"]
edition = "2021"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
actix-cors = "0.6.1"
actix-service = "2.0.2"
actix-web = "4.1"

# askama = { git = "https://github.com/djc/askama", rev = "5cfef32" }
# askama_actix = { git = "https://github.com/djc/askama", rev = "5cfef32", package = "askama_actix" }
# askama = "0.11.1"
# askama_actix = "0.13.0"
askama = { git = "https://github.com/11Tuvork28/askama", rev = "39b0c4a" }
askama_actix = { git = "https://github.com/11Tuvork28/askama", rev = "39b0c4a", package = "askama_actix" }

aws-config = { version = "0.47.0", optional = true}
aws-sdk-s3 = { version = "0.17.0", optional = true}

atty = "0.2"
chrono = { version = "0.4", features = ["serde"] }
futures = "0.3"

hashicorp_vault = { version = "2.1.0", optional = true }

# A Rust port of Google's SwissTable hash map
hashbrown = "0.11.2"

home = "0.5.3"
hyper = "0.14.17"
hyper-tls = "0.5"
hyper-rustls = { version = "0.23.0", optional = true }

native-tls = { version = "0.2.6", optional = true }
rusoto_s3         = { version = "0.47.0", optional = true }
rusoto_core       = { version = "0.47.0", optional = true }
rusoto_credential = { version = "0.47.0", optional = true }

sentry = { version = "0.22.0", optional = true }
serde = "1.0.115"
serde_json = "1.0"
sqlx = { version = "0.6.0", features = [ "runtime-tokio-rustls", "postgres", "uuid" ] }
tokio = { version = "1.20", features = ["full"] }
tokio-tls = "0.3"
tokio-native-tls = "0.3"

# A scoped, structured logging and diagnostics system.
# By tokio-rs team
tracing = "0.1.29"

uuid = { version = "1", features = ["serde", "v4"] }


[features]
# s3 = ["dep:rusoto_s3", "dep:rusoto_core", "dep:rusoto_credential", "dep:native-tls"]
s3 = ["dep:aws-config", "dep:aws-sdk-s3", "dep:hyper-rustls"]
